# $Revision: 1.4 $, $Date: 2002/09/07 16:48:12 $
Summary:	Graphical menu configuration utility for IceWM
Summary(pl):	Graficzne narzdzie do edycji menu dla IceWM-a
Name:		icemc
Version:	0.2.2
Release:	3
License:	GPL v2
Group:		X11/Window Managers/Tools
Source0:	http://www.algorithm.at/comp/icemc/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}_16x16.xpm
Source4:	%{name}_32x32.xpm
URL:		http://www.algorithm.at/comp/icemc/icemc.html
Patch0:		%{name}-Makefile.patch
Patch1:		http://www.algorithm.at/comp/icemc/%{name}-%{version}.patch.tar.gz
BuildRequires:	qt-devel >= 3.0.5
Requires:	icewm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	iceMC

%define         _prefix         /usr/X11R6/

%description
Graphical menu edition utility for IceWM. It uses qt-library.

%description -l pl
Graficzne narzdzie do edycji menu w IceWM. Uywa biblioteki qt.

%prep
%setup -q 
%patch0 -p1
tar zxf %{PATCH1}; patch -p1 <%{name}-%{version}.patch/patch.%{name}-%{version}

%build
%{__make} CXXFLAGS="%{rpmcflags} -fno-exceptions"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_applnkdir}/Settings/IceWM} \
	$RPM_BUILD_ROOT{%{_libdir}/X11/icewm/icons,%{_pixmapsdir}}

install icemc $RPM_BUILD_ROOT%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Settings/IceWM
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE3} %{SOURCE4} $RPM_BUILD_ROOT%{_libdir}/X11/icewm/icons

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.txt README
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Settings/IceWM/*
%{_libdir}/X11/icewm/icons/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: icemc.spec,v $
Revision 1.4  2002/09/07 16:48:12  kloczek
- release 2: iceMC added to Obsoletes.

Revision 1.3  2002/08/29 23:26:41  blues
- release 2 - new doc, proper BR

Revision 1.2  2002/05/06 11:24:22  qboosh
- pl fix

Revision 1.1  2002/05/04 16:51:30  grzegol
- updated to 0.2.2 (it compiles with qt3)
- added patch to allow compiling with gcc3
- fixed URL and Source0
- added doc
- changed .desktop dir to Settings/IceWM
STBR

Revision 1.12  2002/04/25 16:35:24  arturs
fixed a small typo

Revision 1.11  2002/04/02 18:36:15  kloczek
- removed using %%{__install} macro.

Revision 1.10  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2001/04/19 04:08:20  kloczek
- release 5,
- for desktop file added standard 48x48 png icon,
- more macros and few cosmetics.

Revision 1.6  2001/04/18 14:28:45  blues
- release 4
- desktop-file is now in icewm-Settings directory

Revision 1.5  2001/04/08 15:54:04  blues
- Release 3
- moved icons to applnk and added symlink in icewm directory
- modified desktop-file
- stb

Revision 1.4  2001/04/06 22:41:52  kloczek
- release 2.

Revision 1.3  2001/04/04 23:30:12  blues
- added desktop file and icons

Revision 1.2  2001/04/04 00:23:39  kloczek
- removed "Requires: qt" (it is generated automaticaly),
- added full Source url,
- added using $RPM_OPT_FLAGS and added better C++ optimization
  (use -fno-exceptions).
NOTE: it will be good add icon and desktop file for iceMC.

Revision 1.1  2001/04/03 23:29:09  blues
- initial edition of iceMC.spec - it's simple - stb, I think...
